Subject: Re: bug#58521: human readable still wrong output (after 20+ years?)

From: Chandler Sobel-Sorenson <[email-masked]>
Date: Mon, 2 Jan 2023 14:22:27 -0700

Paul Eggert wrote on 1/2/23 1:28 PM:
> Unfortunately backward-compatibility concerns are real,

Such as?

> which means we're not likely to make a big change to -h's behavior at this point. You can use --si instead.

While --si produces correct output, this does not address the subject of this bug, which is -h's faulty behavior.  What big change are you thinking of?  All you need to do is add an "i" to -h's prefixes.  Optionally and additionally, you could change -h's behavior so it outputs the same thing as --si, then create a new flag such as --bi for binary prefixes and values.

> Assuming you're talking about 'df' and 'du', neither -h nor --si follows the SI standard, since they both output prefixes without units.

Don't be silly, we all know what the units are, plus it is mentioned in the manuals.

> So this is not a question of conforming to any standard.

Never said it was, or maybe I mentioned it, don't remember since it's been so long.  Either way, the standard is a guideline to follow, this is about your programs outputting WRONG and INCORRECT values, inconsistent with reality.  I'm sure I'm not the only one who works with international collaborators involving terabytes of data.  After having to spend several days going back and forth explaining to them that, yes, we did deliver all the data required by the project and, no, there is no data missing, it was imperative to file this report, just as it is for your programs to output results that are in accordance with reality.